set linesize 140
column SID format 9999999
column work format a16
column Machine format a12
column Module format a24
column Action format a16
column User format a16

select
  s.sid "SID"
 ,s.process "PID"
 ,s.username "User"
 ,s.machine "Machine"
 ,s.module "Module"
-- ,s.action "Action"
 ,to_char(start_time, 'MM/DD HH24:MI') "Start"
 ,sofar || '/' || totalwork "Work"
 ,round(sofar/decode(totalwork,0,1,totalwork),4)*100 "% Done"
 , round((totalwork-sofar) / (sofar / ((sysdate - start_time) * 86400)),0) "Secs to go"
from v$session_longops l join v$session s on s.sid=l.sid and s.serial#=l.serial#
where s.status='ACTIVE'
  and round(sofar/decode(totalwork,0,1,totalwork),4)*100 != 100
order by start_time desc;


