#ifndef DBMS_SPACE_H
#define DBMS_SPACE_H

enum spaceObjType {DSTABLE, DSTABLEPAR, DSINDEX, DSINDEXPAR, DSLOB, DSLOBPAR, DSLOBOUTROW, DSTABLESUBPAR};

typedef struct dspace_ {
  char      totblocks[32];
  guint64   totblocks_i;
  char      totbytes[32];
  guint64   totbytes_i;
  char      unblocks[32];
  guint64   unblocks_i;
  char      unbytes[32];
  guint64   unbytes_i;
  char      luefi[32];
  char      luebi[32];
  char      lub[32];
  guint     blocksize;
} dspace;

gint get_dbms_space(const gchar *, const gchar *, const gchar *, const gchar *, dspace *, gint);
void table_update_space(dspace *);
void get_index_space(const gchar *, const gchar *, gchar *, gint);
void get_lob_space();

#endif
