-- dynamic bind example
-- click the bind button in the toolbar to populate a combobox for the 'tsname' placeholder
define tsname = select tablespace_name from dba_tablespaces order by tablespace_name

select 
  tablespace_name
  ,owner
  ,segment_name
  ,partition_name
  ,bytes/1048576 "MB" 
from dba_segments
where tablespace_name in (&tsname)      
--group by tablespace_name, segment_name
order by segment_name;

