#ifndef DBMS_METADATA_H
#define DBMS_METADATA_H

typedef struct _meta_input {
	GtkTextBuffer *buffer;
	gchar *type_name;
	gchar *owner;
	gchar *object;
	gint type;
	gboolean group;
} metadata_input;


void generate_ddl(gchar *, gchar *, gchar *, gchar *);
void dbms_metadata_to_textbuffer(metadata_input *);
void dbms_metadata_group_to_textbuffer(metadata_input *);
void dbms_metadata_set_transforms();

#endif

