/* This program is free software; you can redistribute it and/or */
/* modify it under the terms of the GNU General Public License */
/* as published by the Free Software Foundation; either version 2 */
/* of the License, or (at your option) any later version. */

/* This program is distributed in the hope that it will be useful, */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the */
/* GNU General Public License for more details. */

/* You should have received a copy of the GNU General Public License */
/* along with this program; if not, write to the Free Software */
/* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <string.h>
#include <stdio.h>
#include <glib.h>
#include <gtk/gtk.h>

#include "sql_format.h"
#include "gutil.h"
#include "statement.h"


static gchar *words[][4] = 
{
	{"select", NULL, "\n", "2"},
	{"from", "\n", NULL, "0"},
	{"where", "\n", NULL, "0"}
};

#define NUM_WORDS (sizeof(words) / sizeof(words[0]))



static gint get_word_format(const gchar *word)
{
	static guint i;
  
	for (i=0; i < NUM_WORDS; i++ )
		if (!g_ascii_strncasecmp(
			    word, 
			    words[i][0], 
			    strlen(words[i][0]) > strlen(word) ? strlen(words[i][0]) : strlen(word))) {

			return(i);
		}


	return(-1);
}


void sql_format() 
{

}

